POST rolealiases
BearerAuthorizationBearer <token>Paste your JWT token here
The data transfer object containing the role alias definition.
application/json- body
Defines the DTO for posting a role alias, containing the necessary information for creating a new role alias, including its name and the associated parent role ID. The PostRoleAliasDTO is used to transfer data from the client to the server when creating a new role alias, ensuring that all required information is provided and validated appropriately for the creation process.
name*stringThe name of the role alias.
0 <= length <= 100roleId?integerThe id of the role that this alias belongs to.
int32Created
application/json- response
A role alias for a member in a committee. E.g.: "Fotofeut" or "Man van Geld".
id?integerThe unique identifier of a role alias, assigned incrementally.
int32roleId?integerThe id of the role that this alias belongs to.
int32role?A role for a member in a committee. E.g.: "Chair" or "Treasurer".
name*stringThe name of the role alias.
0 <= length <= 100curl -X POST 'https://example.com/rolealiases' \ -H 'Content-Type: application/json' \ -d '{ "name": "string"}'{ "id": 0, "roleId": 0, "role": { "id": 0, "name": "string" }, "name": "string"}